package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmudp;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CecmudpMapper {

    int insert(Cecmudp record);

    int insertSelective(Cecmudp record);

    int updateByPrimaryKeySelective(Cecmudp record);

    int updateByPrimaryKey(Cecmudp record);

    int deleteByPrimaryKey(Cecmudp record);

    int deleteByIds(Collection<Object> collection);

    Cecmudp selectByPrimaryKey(Cecmudp record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmudp> dyncRead(Map<String, Object> dyncMap);

    Cecmudp selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}